"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var path_1 = __importDefault(require("path"));
var shelljs_1 = __importDefault(require("shelljs"));
var fs_1 = __importDefault(require("fs"));
var fixTypescriptErrors_1 = __importDefault(require("../fixTypescriptErrors"));
var nullLogger = {
    log: function () { },
    info: function () { }
};
describe("fixTypescriptErrors", function () {
    it("supresses typescript error in simple project", function () {
        var source = path_1.default.resolve(__dirname, "../simpleFixture/index");
        var target = path_1.default.resolve(__dirname, "../simpleFixture/index.ts");
        shelljs_1.default.cp(source, target);
        fixTypescriptErrors_1.default(target, [], nullLogger);
        var fileContent = fs_1.default.readFileSync(target, "utf-8");
        expect(fileContent).toMatchInlineSnapshot("\n      \"function foo(str: string): number {\n        return (\n          // @ts-ignore typescript-all-in\n          3 * str\n        );\n      }\n      \"\n    ");
        shelljs_1.default.rm(target);
    });
});
//# sourceMappingURL=fixTypescriptErrors-test.js.map