#!/usr/bin/env node
"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var yargs_1 = __importDefault(require("yargs"));
var _1 = require("./");
// TODO: allow array of ignore patterns for glob
yargs_1.default
    .command("convert [path]", "convert project in path to typescript", function (args) {
    return args
        .positional("path", {
        describe: "abolute path to the project root",
        type: "string"
    })
        .option("ignorePaths", {
        type: "array",
        default: ["/node_modules/", "__tests__"]
    })
        .option("verbose", {
        alias: "v",
        type: "boolean",
        default: false
    });
}, function (_a) {
    var path = _a.path, verbose = _a.verbose, ignorePaths = _a.ignorePaths;
    if (verbose) {
        console.info("Running projects on :" + path);
    }
    if (typeof path !== "string") {
        throw new Error("path must be a string");
    }
    _1.moveToTypescript(path, ignorePaths, verbose);
})
    .pkgConf("tsAllIn")
    .option("verbose", {
    alias: "v",
    default: false
})
    .help().argv;
//# sourceMappingURL=cli.js.map