"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var glob_1 = require("glob");
var fs = __importStar(require("fs"));
var shelljs_1 = __importDefault(require("shelljs"));
function isReactFile(path) {
    var content = fs.readFileSync(path, "utf-8");
    return (content.includes('from "react"') ||
        content.includes('require("react")') ||
        content.includes("from 'react'") ||
        content.includes("require('react')"));
}
function moveFileToTypescript(logger, path) {
    logger.info("Converting " + path);
    var newPath = isReactFile(path)
        ? path.replace(".js", ".tsx")
        : path.replace(".js", ".ts");
    shelljs_1.default.mv(path, newPath);
    logger.info("Done converting to " + newPath);
}
exports.moveFileToTypescript = moveFileToTypescript;
function moveToTypescript(root, ignorePaths, logger) {
    glob_1.sync(root + "/**/*.js")
        .filter(function (path) { return ignorePaths.some(function (ignorePath) { return path.includes(ignorePath); }); })
        .forEach(moveFileToTypescript.bind(null, logger));
}
exports.default = moveToTypescript;
//# sourceMappingURL=toTypescript.js.map